Page MenuHomePhabricator

AFT uses dangerously generic class names like 'buttons'
Closed, DeclinedPublic

Description

AFT classes with generic names should be renamed to use mw- prefixes, unless they are actually designed to adopt some existing styles defined outside of AFT. Be careful to make any renames backwards-compatible so that things won't break due to caching. You may need to have both new and old selectors in the CSS for a little while.


Version: master
Severity: normal

Details

Reference
bz42837

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 12:56 AM
bzimport set Reference to bz42837.
kaldari created this task.Dec 7 2012, 9:17 PM

Related URL: https://gerrit.wikimedia.org/r/64084 (Gerrit Change I634bdc4f9857a899e670227e5828399caf8c4ade)

Related URL: https://gerrit.wikimedia.org/r/64086 (Gerrit Change Ic45d1816375e2ecf3a385b3367b729f31c8bc28b)

Change 64084 abandoned by Matthias Mullie:
(bug 42837) AFT uses dangerously generic class names like 'buttons'

Reason:
AFT is unmaintained, these patches are not going to get reviewed

https://gerrit.wikimedia.org/r/64084

Change 64086 abandoned by Matthias Mullie:
(bug 42837) AFT uses dangerously generic class names like 'buttons'

Reason:
AFT is unmaintained, these patches are not going to get reviewed

https://gerrit.wikimedia.org/r/64086

Krinkle set Security to None.
Jdforrester-WMF closed this task as Declined.Mar 5 2015, 10:03 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

All development work on AbuseFilter v.5 (and indeed, previous versions) is halted. The project is archived, so having open tasks is inappropriate. Consequently, I'm closing all tasks.